Subject: Re: bug#37592: Using tabs in EWW

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Oct 2019 10:34:32 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 04 Oct 2019 01:39:42 +0300
> 
> > Instead of adding another defcustom, how about doing this by default
> > if tab-bar-mode is enabled?
> 
> I guess the users still need to decide whether they want to open
> new tabs in the tab-bar (when eww-browse-url-new-window-is-tab is non-nil),
> or new tabs in the tab-line (when eww-browse-url-new-window-is-tab is nil)
> that just creates a new buffer displayed in the window-local tab-line -
> this is the current behavior.
> 
> Another use case is that when tab-bar-mode is not yet enabled,
> users migth prefer that clicking on a link with a Ctrl key
> could enable the tab-bar and open a new tab in automatically
> enabled tab-bar.

It seems to me that there are sensible defaults in each of these
situations, and we could use those defaults unconditionally until
users complained.

Adding too many user options has a downside as well, you know.

Just one opinion.